wireless-tools break ppp devices

Bug #268519 reported by Hadmut Danisch on 2008-09-10
2
Affects Status Importance Assigned to Milestone
wireless-tools (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: wireless-tools

Hi,

/etc/interfaces/if-pre-up.d/wireless-tools runs

  $IFCONFIG "$IFACE" up

under all circumstances and for all interfaces, even the non-wireless ones.

This breaks the configuration of PPP devices, since these devices do not
yet exist at this time and before pppd has become active. Therefore,
the $IFACE does not yet exist and the script and thus the device configuration
aborts with an error message. When wireless-tools are installed,
things like ifup ppp0 don't work anymore.

The script should not fiddle around with anything not closely related
to wireless things.

regards
Hadmut

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireless-tools - 29-1.1ubuntu2

---------------
wireless-tools (29-1.1ubuntu2) jaunty; urgency=low

  * Revert change to bring up the interface before changing wireless
    settings; the softmac driver this was implemented for is now
    obsolete, no other drivers are reported to need it, and it
    introduces other problems such as breaking PPP interfaces
    (LP: #268519) and preventing configuration of some settings such as
    hardware addresses (LP: #219520).

 -- Steve Langasek <email address hidden> Fri, 14 Nov 2008 21:13:27 +0000

Changed in wireless-tools:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers